# coding: utf-8
lib = File.expand_path("../lib", __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require "hover/version"

Gem::Specification.new do |spec|
  spec.name          = "hover-ruby-client"
  spec.version       = Hover::VERSION
  spec.authors       = ["Elise Wood"]
  spec.email         = ["elise@hover.to"]
  spec.summary       = %q{Hover ruby client}
  spec.description   = %q{Hover ruby client}
  spec.homepage      = "https://github.com/hoverinc/hover-ruby-client"
  spec.license       = "Private"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "mocha"
  spec.add_development_dependency "ci_reporter"
  spec.add_development_dependency "minitest-reporters"
  spec.add_development_dependency "simplecov-rcov"
  spec.add_development_dependency "sqlite3"
  spec.add_development_dependency "byebug"

  spec.add_dependency "api-auth", "1.2.2"
  spec.add_dependency "json"
  spec.add_dependency "rubyzip",  ">= 0.9.9"
  spec.add_dependency "rails", "~> 5.2.3"
  spec.add_dependency "yajl-ruby", "~> 1.4.1"
end
