require './test/test_helper'


require 'hover/jobs/concerns/retry_network_errors'

class TestJob
  include Hover::Jobs::Concerns::RetryNetworkErrors
end

describe Hover::Jobs::Concerns::RetryNetworkErrors do
  it "sets exceptions array" do
    assert TestJob.instance_variable_get(:@retry_exceptions).is_a?(Array)
  end
  
  it "sets strategy array" do
    assert TestJob.instance_variable_get(:@backoff_strategy).is_a?(Array)
  end
  
  it "instantiates" do
    test_job = TestJob.new
    assert test_job.is_a?(TestJob)
  end
end